
Figure - Bug #118550
【IOVDEV-32744】【VC1】【0106】【台架】【EE环境】【副屏】【第三方应用】停用Edge，点击游戏中心
，系统出现报错
2023-06-05 20:42 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: SZTS_TEST 邹涛 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0106.C104

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-07

Test Type: ST Root cause: 编码问题

Description

【环境信息】：EE环境

【问题出现时间】：2023/06/05 18:18 第203次开机

【前提条件】：电源ON

【操作步骤】：

1、停用Edge，

2、点击游戏中心

【实际结果】

系统出现报错

【期望结果】

出现提示或者有提示弹出

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】Edge 113.0.1774.38

录屏&log:https://ofs.human-horizons.com/#/download/index/RCqePqALXuI%3D

History

#1 - 2023-06-05 20:51 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

Hi 王营

edge被禁用的情况下，报了下列错误，需要做个enable判断
-------------

000203_manual_00028_230605_181819.log:383:06-05 18:18:20.618  4814  4814 D AndroidRuntime: Shutting down VM

000203_manual_00028_230605_181819.log:385:06-05 18:18:20.618  4814  4814 E AndroidRuntime: FATAL EXCEPTION: main

000203_manual_00028_230605_181819.log:386:06-05 18:18:20.618  4814  4814 E AndroidRuntime: Process: com.android.launcher3, PID: 4814

000203_manual_00028_230605_181819.log:387:06-05 18:18:20.618  4814  4814 E AndroidRuntime: android.content.ActivityNotFoundException: Unable to find explicit

activity class {com.microsoft.emmx/com.microsoft.ruby.Main}; have you declared this activity in your AndroidManifest.xml?

000203_manual_00028_230605_181819.log:388:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

android.app.Instrumentation.checkStartActivityResult(Instrumentation.java:2091)

000203_manual_00028_230605_181819.log:389:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

android.app.Instrumentation.execStartActivity(Instrumentation.java:1749)

000203_manual_00028_230605_181819.log:390:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.app.Activity.startActivityForResult(Activity.java:5447)

000203_manual_00028_230605_181819.log:391:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

com.android.launcher3.Launcher.startActivityForResult(Launcher.java:1805)

000203_manual_00028_230605_181819.log:392:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

com.android.launcher3.BaseQuickstepLauncher.startActivityForResult(BaseQuickstepLauncher.java:265)

000203_manual_00028_230605_181819.log:393:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.app.Activity.startActivityForResult(Activity.java:5405)

000203_manual_00028_230605_181819.log:394:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.app.Activity.startActivity(Activity.java:5791)

000203_manual_00028_230605_181819.log:395:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.app.Activity.startActivity(Activity.java:5744)

000203_manual_00028_230605_181819.log:396:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

com.android.launcher3.touch.ItemClickHandler.startGameCenter(ItemClickHandler.java:366)

000203_manual_00028_230605_181819.log:397:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

com.android.launcher3.touch.ItemClickHandler.onClickAppShortcut(ItemClickHandler.java:273)

000203_manual_00028_230605_181819.log:398:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

com.android.launcher3.touch.ItemClickHandler.onClick(ItemClickHandler.java:102)

000203_manual_00028_230605_181819.log:399:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

com.android.launcher3.touch.ItemClickHandler.$r8$lambda$c3IcSovkrXGdCZtXy0f_A5Sz5VA(Unknown Source:0)

000203_manual_00028_230605_181819.log:400:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

com.android.launcher3.touch.ItemClickHandler$$ExternalSyntheticLambda2.onClick(Unknown Source:0)

000203_manual_00028_230605_181819.log:401:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.view.View.performClick(View.java:7441)

000203_manual_00028_230605_181819.log:402:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.view.View.performClickInternal(View.java:7418)

000203_manual_00028_230605_181819.log:403:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.view.View.access$3700(View.java:835)

000203_manual_00028_230605_181819.log:404:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.view.View$PerformClick.run(View.java:28681)

000203_manual_00028_230605_181819.log:405:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

000203_manual_00028_230605_181819.log:406:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

000203_manual_00028_230605_181819.log:407:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

000203_manual_00028_230605_181819.log:408:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

000203_manual_00028_230605_181819.log:409:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

000203_manual_00028_230605_181819.log:410:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

000203_manual_00028_230605_181819.log:411:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at

com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

000203_manual_00028_230605_181819.log:412:06-05 18:18:20.618  4814  4814 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

-------------

#2 - 2023-06-06 10:31 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-06-06 16:34 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD FW-廖涛

■ Current conclusion

已提交
■ My analysis

浏览器禁用后点击游戏中心弹出提示， 浏览器已禁用，请先启用浏览器

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/205125

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/205153

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/205155

#4 - 2023-06-06 17:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205125 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Disabled Edge,show a toast when click game centerTC-RID: 1201-0205301IssueID: TS-R-BUG-118550Change-Id:

I16e0848314b0caa3c64f86504d22d3fa479868b8

#5 - 2023-06-06 17:58 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD APP-王宏

#6 - 2023-06-06 18:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205153 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Settings:Disabled Edge,show a toast when open game centerTC-RID: 1201-0201802IssueID: TS-R-BUG-118550Change-Id:

Iad724b54649e7dfb1b4ed22ae4c0d0ec7080468d

#7 - 2023-06-06 18:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205155 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Server - Check whether Edge is enable when open GameCenter.TC-RID: 1201-0206001IssueID: TS-R-BUG-118550Change-Id:

I183174bc3accf23470d9dda6e9f44d33ba5ee9be

#8 - 2023-06-06 18:09 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-07
- Root cause set to 编码问题

#9 - 2023-06-06 19:31 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to SZTS_TEST 邹涛

#10 - 2023-06-08 15:01 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306080125验证通过（提示：浏览器已禁用，请先启用浏览器）

#11 - 2023-07-24 17:49 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

停用Edge，点击游戏中心，系统出现报错.mp4 6.83 MB 2023-06-05 CDTS_TEST 王成

停用Edge，点击游戏中心，系统出现报错.7z 12.1 MB 2023-06-05 CDTS_TEST 王成
